Subject: Re: [PATCH v2 2/2] commit: add support for --fixup <commit> -m"<extra message>"

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Dec 2017 14:06:19 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I don't agree that git as a tool should be so opinionated. You can edit
> these --fixup messages right now with --edit, and I do. That it doesn't
> work with -m"" as it should is a longstanding UI wart.

I think you missed the point.

I was expressing my opinion, not an opinion of Git as a tool, that I
think one of these two "use case" scenario was a bad way not to be
encouraged.

That is totally different from allowing --fixup and -m working
together.  That is a good thing that helps the other "good" use case.